System Requirements

EnglishCentral is an entirely web-based service that does not require the installation of any proprietary software on your computer. All you need is a commonly supported browser (see list below) and the Adobe Flash Player version 10.3 or higher. You can download the latest version here.

We recommend that you have an Internet connection speed of at least 1 Mb/s to use EnglishCentral.

EnglishCentral supports the following operating systems and browsers:

Operating Systems

Windows 7 or higher

MacOS 10.6 or higher

Browsers

Internet Explorer 8.0 or higher

Firefox 9.0 or higher

Chrome 25.0 or higher

Safari 5.0 or higher

 

Our website is assumed to be working on other Windows platform but not officially certified. We currently do not support the Windows 8 Metro UI mode and IE in compatibility mode. For best results, use the system requirements specified.

Privacy Policy | Terms of Use | Copyright © 2014 EnglishCentral, Inc.